Page MenuHomePhabricator

Convert Special:BookSources to OOUI
Closed, ResolvedPublic

Description

Looks pretty easy.

BeforeAfter

Details

Related Gerrit Patches:
mediawiki/core : masterChanged OOUI
mediawiki/core : masterConvert Special:BookSources to use OOUI
mediawiki/core : masterChanged SpecialBookSources.php to OOUI

Event Timeline

Florian created this task.Nov 4 2015, 5:37 PM
Florian raised the priority of this task from to Medium.
Florian updated the task description. (Show Details)

https://gerrit.wikimedia.org/r/236270 converts SpecialBookSources from SpecialPage to FormSpecialPage.
Then, it is only a matter of changing getDisplayFormat().

sukeesh claimed this task.Mar 12 2016, 1:44 PM

Change 277049 had a related patch set uploaded (by Sukeesh):
Changed to OOUI

https://gerrit.wikimedia.org/r/277049

Change 277050 had a related patch set uploaded (by Sukeesh):
Changed OOUI

https://gerrit.wikimedia.org/r/277050

Change 277049 abandoned by Sukeesh:
Changed SpecialBookSources.php to OOUI

https://gerrit.wikimedia.org/r/277049

Sethakill claimed this task.May 3 2016, 8:06 AM
Sethakill added a subscriber: Sethakill.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 3 2016, 8:06 AM

Change 286594 had a related patch set uploaded (by Sethakill):
Convert Special:BookSources to use OOUI

https://gerrit.wikimedia.org/r/286594

Change 286594 merged by jenkins-bot:
Convert Special:BookSources to use OOUI

https://gerrit.wikimedia.org/r/286594

Jdforrester-WMF closed this task as Resolved.May 7 2016, 5:37 PM
Paladox removed a subscriber: gerritbot.

Change 277050 abandoned by Jforrester:
Changed OOUI

Reason:
Parent abandoned by same author.

https://gerrit.wikimedia.org/r/277050

TheDJ added a subscriber: TheDJ.Jun 3 2016, 7:50 AM

Why is there an indicator ?
And shouldn't we make it a rule that if a button submits only a single textfield, the controls should be on the same line in wide ui's ? Seems a bit of a waste of the vertical space.

Screenshots for reference:

BeforeAfter

I think it looks okay.

matmarex removed a subscriber: matmarex.Jun 6 2016, 2:31 PM
TheDJ added a comment.EditedJun 6 2016, 8:17 PM

On my 13" screen it's almost a third of the vertical space:

It seems considerably less efficient.
[edit] Don't mind the width, that's my own personal styling (and so is the yellow for focus)

@TheDJ I don't agree that horizontal layout of button aside of input gives any advantage here, on contrary I think, that from eye movement the vertical layout makes this specific form even easier to use.
I've already started at T136790: Improve form layouts in OOUI MW core forms for better user experience to collect some general points to work on OOjs UI form layouts. Please help identify and add overall issues there.

Further comments about this OOUI change, at https://en.wikipedia.org/w/index.php?title=Wikipedia:Village_pump_%28technical%29&oldid=724187004#Special:BookSources
Excerpts:

Why is the box at Special:BookSources spread over four lines instead of two, why does it have fuzzy edges? Both of these waste space, and mean that extra scrolling is now necessary where it wasn't before. It looks very much like it's Vector skin, although I use MonoBook. And what's the asterisk for?

I'm not a fan of the large space use in mw:OOUI. [...] I use Special:ExpandTemplates a lot and also find OOUI annoying there.


I'll personally add, for Special:Booksources in particular: The input field should only be 17 characters long.

  • ISBNs can only be 17 characters long (13+4 separators). We could forcibly restrict it to that many characters, but we probably want to give users room to edit (by adding and then subtracting characters) or to paste longer clipboard text and then reduce it down.
Volker_E updated the task description. (Show Details)Jun 7 2016, 8:49 PM